import javax.microedition.lcdui.*;
import javax.microedition.midlet.*;

public class MainMenu
	extends List implements CommandListener
{
	Command exitApp;
	Main parent;

	public MainMenu(Main parent)
	{
		super("Choices", List.IMPLICIT);
		this.parent = parent;
		initialize();
	}

	void initialize()
	{
		this.append("Add Expense", null);
		this.append("View Total", null);
		this.append("Reset Costs", null);
		
		exitApp = new Command("Exit", Command.EXIT, 1);
		this.addCommand(exitApp);
		
		this.setCommandListener(this);
	}
	
	public void commandAction(Command c, Displayable disp)
	{
			if (c == List.SELECT_COMMAND)
				switch (getSelectedIndex())
				{
					case 0 : 
					{
						addNewExpense();
						break;
					}
					case 1:
					{
						viewTotal();
						break;
					}
					case 2:
					{
						resetCosts();
						break;
					}
				}
			
			if (c == exitApp)
				parent.exit();
	}
	
	public void addNewExpense() 
	{
		AddNewExpense ane = new AddNewExpense(parent, this);
		Display.getDisplay(parent).setCurrent(ane);
	}
	
	public void viewTotal() 
	{
		AlertType ati = AlertType.INFO;
		Alert al = new Alert("Total spendings", Integer.toString(Expences.getTotal()), null, ati);
		al.setTimeout(Alert.FOREVER);
		Display.getDisplay(parent).setCurrent(al, this);
		ati.playSound(Display.getDisplay(parent));
	}
	
	public void resetCosts() 
	{
		AlertType ati = AlertType.INFO;
		Alert al = new Alert("Total spendings", "Total spendings cleared.", null, ati);
		al.setTimeout(Alert.FOREVER);
		Display.getDisplay(parent).setCurrent(al, this);
		ati.playSound(Display.getDisplay(parent));
		
		Expences.resetCosts();
	}
}